//
//
//      Copyright (c) ClearSpeed Technology plc 1997-2006
//      All rights reserved.
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. Any use is at your own risk. Permission to use or copy this
// software for any purpose is hereby granted without fee, provided the
// above notices are retained on all copies. Permission to modify the code
// and to distribute modified code is granted, provided the above notices
// are retained, and a notice that the code was modified is included with
// the above copyright notice.
//
//


#ifndef _CLEARD_INTERFACE_CSAPI_INCLUDE_ERRNO_H_
#define _CLEARD_INTERFACE_CSAPI_INCLUDE_ERRNO_H_

typedef enum DRVErrno 
{
    DRVErrno_success = 0,
    DRVErrno_error   = 1,
    DRVErrno_not_connected,
    DRVErrno_connection_broken,
    DRVErrno_cannot_connect,
    DRVErrno_bad_inet_address,
    DRVErrno_socket,
    DRVErrno_kernel_max_app_count_exceeded,
    DRVErrno_kernel_que,
    DRVErrno_failed_to_load_function,
    DRVErrno_cannot_allocate_event,
    DRVErrno_semaphore_number_out_of_bounds,
    DRVErrno_no_symbol,
    DRVErrno_cannot_open_file,
    DRVErrno_permission_denied,
    DRVErrno_invalid_proc_inx,
    DRVErrno_failed_to_create_thread,
    DRVErrno_failed_while_waiting_for_semaphore,
    DRVErrno_failed_to_signal_semaphore,
    DRVErrno_failed_to_lock_mutex,
    DRVErrno_failed_to_unlock_mutex,
    DRVErrno_bad_csapi_state,
    DRVErrno_bad_csapi_arg,
    DRVErrno_program_running,
    DRVErrno_failed_to_find_memory_block,
    DRVErrno_not_enough_memory,
    DRVErrno_not_enough_blocks,
    DRVErrno_address_in_use,
    DRVErrno_semaphore_registered,
    DRVErrno_fpga_upgrade_required,
    DRVErrno_lldclient_error = 1000 // The LLDClient error code will be added to this
} DRVErrno;

#endif  /*_CLEARD_INTERFACE_CSAPI_INCLUDE_ERRNO_H_*/
